'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

const award_utils_1 = require('award-utils');

const fetch_1 = require('../../utils/fetch');

module.exports = (options) => {
  // url
  if (!/^http(s)?:|^\/\//.test(options.url) && options.basename) {
    const { basename } = award_utils_1.loadParams.get();

    if (basename && !new RegExp(`^${basename}`).test(options.url)) {
      options.url = basename + (/^\//.test(options.url) ? '' : '/') + options.url;
    }
  }

  return fetch_1.default(options);
};
